---
title: StereoPannerNode
slug: Web/API/StereoPannerNode
tags:
  - API
  - Audio
  - Interface
  - Reference
  - StereoPannerNode
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<div>
<p>The <code>StereoPannerNode</code> interface of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> represents a simple stereo panner node that can be used to pan an audio stream left or right. It is an {{domxref("AudioNode")}} audio-processing module that positions an incoming audio stream in a stereo image using a low-cost equal-power <a href="https://webaudio.github.io/web-audio-api/#panning-algorithm">panning algorithm</a>.</p>
</div>

<p>The {{domxref("StereoPannerNode.pan", "pan")}} property takes a unitless value between <code>-1</code> (full left pan) and <code>1</code> (full right pan). This interface was introduced as a much simpler way to apply a simple panning effect than having to use a full {{domxref("PannerNode")}}.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/10105/StereoPannerNode.png" style="display: block; height: 89px; margin: 0px auto; width: 687px;"></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Number of inputs</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Number of outputs</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Channel count mode</th>
   <td><code>"clamped-max"</code></td>
  </tr>
  <tr>
   <th scope="row">Channel count</th>
   <td><code>2</code></td>
  </tr>
  <tr>
   <th scope="row">Channel interpretation</th>
   <td><code>"speakers"</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("StereoPannerNode.StereoPannerNode", "StereoPannerNode()")}}</dt>
 <dd>Creates a new instance of a <code>StereoPannerNode</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, </em><em>{{domxref("AudioNode")}}</em>.</p>

<dl>
 <dt>{{domxref("StereoPannerNode.pan")}} {{readonlyinline}}</dt>
 <dd>Is an <a href="/en-US/docs/Web/API/AudioParam#a-rate">a-rate</a> {{domxref("AudioParam")}} representing the amount of panning to apply.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods from its parent, </em><em>{{domxref("AudioNode")}}</em>.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/BaseAudioContext/createStereoPanner","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#stereopannernode', 'StereoPannerNode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StereoPannerNode")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
